package com.ruoyi.project.sems.mapper;

import java.util.List;

import com.ruoyi.project.sems.domain.TSpecReport;

/**
 * 特种设备报告Mapper接口
 *
 * @author Ly
 * @date 2024-07-17
 */
public interface TSpecReportMapper
{
    /**
     * 查询特种设备报告
     *
     * @param id 特种设备报告ID
     * @return 特种设备报告
     */
    public TSpecReport selectTSpecReportById(Long id);

    /**
     * 查询特种设备报告列表
     *
     * @param tSpecReport 特种设备报告
     * @return 特种设备报告集合
     */
    public List<TSpecReport> selectTSpecReportList(TSpecReport tSpecReport);

    public List<TSpecReport> selectExpriedYlrq(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedYlgd(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedGl(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedDt(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedDzsb(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedCc(TSpecReport tSpecReport);

    public List<TSpecReport> selectExpriedYlrq3(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedYlgd3(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedGl3(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedDt3(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedDzsb3(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedCc3(TSpecReport tSpecReport);

    public List<TSpecReport> selectExpriedYlrqHi(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedYlgdHi(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedGlHi(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedDtHi(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedDzsbHi(TSpecReport tSpecReport);
    public List<TSpecReport> selectExpriedCcHi(TSpecReport tSpecReport);
    /**
     * 新增特种设备报告
     *
     * @param tSpecReport 特种设备报告
     * @return 结果
     */
    public int insertTSpecReport(TSpecReport tSpecReport);

    /**
     * 修改特种设备报告
     *
     * @param tSpecReport 特种设备报告
     * @return 结果
     */
    public int updateTSpecReport(TSpecReport tSpecReport);

    /**
     * 删除特种设备报告
     *
     * @param id 特种设备报告ID
     * @return 结果
     */
    public int deleteTSpecReportById(Long id);

    /**
     * 批量删除特种设备报告
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecReportByIds(Long[] ids);



}
